#!/bin/bash




# some more ls aliases
alias ll='ls -alF'
alias la='ls -A'
alias l='ls -CF'



alias a="ls -lha"
alias @ip="dig +short myip.opendns.com @resolver1.opendns.com"
alias r="reset;clear;"
## incoming

alias ll='ls -l'

alias r="reset;clear;"

##

alias cd..='cd ..'
alias ..='cd ..'
alias ...='cd ../../../'
alias ....='cd ../../../../'
alias .....='cd ../../../../'
alias .4='cd ../../../../'
alias .5='cd ../../../../..'

##

alias @memory-info='free -m -l -t'
alias @memory-top='ps auxf | sort -nr -k 4 | head -10'
alias @memory-top-10='ps auxf | sort -nr -k 4 | head -10'

alias @cpu-info='lscpu'
alias @cpu-top='ps auxf | sort -nr -k 3'
alias @cpu-top-10='ps auxf | sort -nr -k 3 | head -10'

alias @net-open-ports="sudo netstat -tlpn"

alias @net-external-ip="dig +short myip.opendns.com @resolver1.opendns.com"



alias @net-internal-interfaces="dig +short myip.opendns.com @resolver1.opendns.com"
